// python wrapper for vtkITKCurvatureAnisotropicDiffusionImageFilterSF object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKCurvatureAnisotropicDiffusionImageFilterSF.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKCurvatureAnisotropicDiffusionImageFilterSFNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKCurvatureAnisotropicDiffusionImageFilterSFNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSFNew(char *); }

static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  const char    *temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  vtkITKCurvatureAnisotropicDiffusionImageFilterSF  *temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKCurvatureAnisotropicDiffusionImageFilterSF::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  double   temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetConductanceParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  double   temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::GetConductanceParameter();
      }
    else
      {
      temp20 = op->GetConductanceParameter();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  unsigned int      temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  unsigned int      temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  double   temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetConductanceParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  double   temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::SetConductanceParameter(temp0);
      }
    else
      {
      op->SetConductanceParameter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetUseImageSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  int      temp0;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::SetUseImageSpacing(temp0);
      }
    else
      {
      op->SetUseImageSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_UseImageSpacingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::UseImageSpacingOn();
      }
    else
      {
      op->UseImageSpacingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_UseImageSpacingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::UseImageSpacingOff();
      }
    else
      {
      op->UseImageSpacingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetUseImageSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKCurvatureAnisotropicDiffusionImageFilterSF *op;

  int      temp20;
  op = (vtkITKCurvatureAnisotropicDiffusionImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKCurvatureAnisotropicDiffusionImageFilterSF::GetUseImageSpacing();
      }
    else
      {
      temp20 = op->GetUseImageSpacing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKCurvatureAnisotropicDiffusionImageFilterSFMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKCurvatureAnisotropicDiffusionImageFilterSF\nC++: vtkITKCurvatureAnisotropicDiffusionImageFilterSF *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKCurvatureAnisotropicDiffusionImageFilterSF\nC++: vtkITKCurvatureAnisotropicDiffusionImageFilterSF *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> float\nC++: double GetTimeStep ();DelegateITKOutputMacro GetTimeStep \n\n"},
  {(char*)"GetConductanceParameter",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetConductanceParameter, 1,
   (char*)"V.GetConductanceParameter() -> float\nC++: double GetConductanceParameter ();DelegateITKOutputMacro GetConductanceParameter \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: unsigned int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (unsigned int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetTimeStep, 1,
   (char*)"V.SetTimeStep(float)\nC++: void SetTimeStep (double value);DelegateITKInputMacro SetTimeStep value \n\n"},
  {(char*)"SetConductanceParameter",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetConductanceParameter, 1,
   (char*)"V.SetConductanceParameter(float)\nC++: void SetConductanceParameter (double value);DelegateITKInputMacro SetConductanceParameter value \n\n"},
  {(char*)"SetUseImageSpacing",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_SetUseImageSpacing, 1,
   (char*)"V.SetUseImageSpacing(int)\nC++: void SetUseImageSpacing (int value);DelegateITKInputMacro SetUseImageSpacing bool value \n\n"},
  {(char*)"UseImageSpacingOn",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_UseImageSpacingOn, 1,
   (char*)"V.UseImageSpacingOn()\nC++: void UseImageSpacingOn ();this SetUseImageSpacing true \n\n"},
  {(char*)"UseImageSpacingOff",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_UseImageSpacingOff, 1,
   (char*)"V.UseImageSpacingOff()\nC++: void UseImageSpacingOff ();this SetUseImageSpacing false \n\n"},
  {(char*)"GetUseImageSpacing",                (PyCFunction)PyvtkITKCurvatureAnisotropicDiffusionImageFilterSF_GetUseImageSpacing, 1,
   (char*)"V.GetUseImageSpacing() -> int\nC++: int GetUseImageSpacing ();DelegateITKOutputMacro GetUseImageSpacing \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKCurvatureAnisotropicDiffusionImageFilterSFDoc[] = {
  (char*)"vtkITKCurvatureAnisotropicDiffusionImageFilterSF - Wrapper class around itk::CurvatureAnisotropicDiffusionImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterSF\n\n",
  (char*)" vtkITKCurvatureAnisotropicDiffusionImageFilterSF\n\n",
  NULL
};

static vtkObjectBase *vtkITKCurvatureAnisotropicDiffusionImageFilterSFStaticNew()
{
  return vtkITKCurvatureAnisotropicDiffusionImageFilterSF::New();
}

PyObject *PyVTKClass_vtkITKCurvatureAnisotropicDiffusionImageFilterSFNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKCurvatureAnisotropicDiffusionImageFilterSFStaticNew,
                        PyvtkITKCurvatureAnisotropicDiffusionImageFilterSFMethods,
                        (char*)"vtkITKCurvatureAnisotropicDiffusionImageFilterSF",modulename,
                        (char**)vtkITKCurvatureAnisotropicDiffusionImageFilterSFDoc,
                        PyVTKClass_vtkITKImageToImageFilterSFNew(modulename));
}

