// python wrapper for vtkITKImageToImageFilterFUL object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilterFUL.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilterFULNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFULNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilterFUL_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterFUL *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilterFUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterFUL::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterFUL_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterFUL *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilterFUL *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterFUL::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterFUL_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterFUL *op;

  vtkITKImageToImageFilterFUL  *temp20;
  op = (vtkITKImageToImageFilterFUL *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterFUL::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilterFULMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilterFUL_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilterFUL_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilterFUL_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilterFUL\nC++: vtkITKImageToImageFilterFUL *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilterFULDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a \n\n",
  NULL
};

static vtkObjectBase *vtkITKImageToImageFilterFULStaticNew()
{
  return vtkITKImageToImageFilterFUL::New();
}

PyObject *PyVTKClass_vtkITKImageToImageFilterFULNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKImageToImageFilterFULStaticNew,
                        PyvtkITKImageToImageFilterFULMethods,
                        (char*)"vtkITKImageToImageFilterFUL",modulename,
                        (char**)vtkITKImageToImageFilterFULDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

