// python wrapper for vtkITKOtsuThresholdImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKOtsuThresholdImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKOtsuThresholdImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKOtsuThresholdImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSSNew(char *); }

static PyObject *PyvtkITKOtsuThresholdImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  const char    *temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  vtkITKOtsuThresholdImageFilter  *temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKOtsuThresholdImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKOtsuThresholdImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_SetOutsideValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  short    temp0;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"h", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKOtsuThresholdImageFilter::SetOutsideValue(temp0);
      }
    else
      {
      op->SetOutsideValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_GetOutsideValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  short    temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::GetOutsideValue();
      }
    else
      {
      temp20 = op->GetOutsideValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_SetInsideValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  short    temp0;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"h", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKOtsuThresholdImageFilter::SetInsideValue(temp0);
      }
    else
      {
      op->SetInsideValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_GetInsideValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  short    temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::GetInsideValue();
      }
    else
      {
      temp20 = op->GetInsideValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_SetNumberOfHistogramBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  unsigned long     temp0;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKOtsuThresholdImageFilter::SetNumberOfHistogramBins(temp0);
      }
    else
      {
      op->SetNumberOfHistogramBins(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_GetNumberOfHistogramBins(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  unsigned long     temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::GetNumberOfHistogramBins();
      }
    else
      {
      temp20 = op->GetNumberOfHistogramBins();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKOtsuThresholdImageFilter_GetThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKOtsuThresholdImageFilter *op;

  short    temp20;
  op = (vtkITKOtsuThresholdImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKOtsuThresholdImageFilter::GetThreshold();
      }
    else
      {
      temp20 = op->GetThreshold();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKOtsuThresholdImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKOtsuThresholdImageFilter\nC++: vtkITKOtsuThresholdImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKOtsuThresholdImageFilter\nC++: vtkITKOtsuThresholdImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutsideValue",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_SetOutsideValue, 1,
   (char*)"V.SetOutsideValue(int)\nC++: void SetOutsideValue (short value);DelegateITKInputMacro SetOutsideValue value \n\n"},
  {(char*)"GetOutsideValue",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_GetOutsideValue, 1,
   (char*)"V.GetOutsideValue() -> int\nC++: short GetOutsideValue ();DelegateITKOutputMacro GetOutsideValue \n\n"},
  {(char*)"SetInsideValue",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_SetInsideValue, 1,
   (char*)"V.SetInsideValue(int)\nC++: void SetInsideValue (short value);DelegateITKInputMacro SetInsideValue value \n\n"},
  {(char*)"GetInsideValue",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_GetInsideValue, 1,
   (char*)"V.GetInsideValue() -> int\nC++: short GetInsideValue ();DelegateITKOutputMacro GetInsideValue \n\n"},
  {(char*)"SetNumberOfHistogramBins",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_SetNumberOfHistogramBins, 1,
   (char*)"V.SetNumberOfHistogramBins(int)\nC++: void SetNumberOfHistogramBins (unsigned long value);DelegateITKInputMacro SetNumberOfHistogramBins value \n\n"},
  {(char*)"GetNumberOfHistogramBins",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_GetNumberOfHistogramBins, 1,
   (char*)"V.GetNumberOfHistogramBins() -> int\nC++: unsigned long GetNumberOfHistogramBins ();DelegateITKOutputMacro GetNumberOfHistogramBins \n\n"},
  {(char*)"GetThreshold",                (PyCFunction)PyvtkITKOtsuThresholdImageFilter_GetThreshold, 1,
   (char*)"V.GetThreshold() -> int\nC++: short GetThreshold ();DelegateITKOutputMacro GetThreshold \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKOtsuThresholdImageFilterDoc[] = {
  (char*)"vtkITKOtsuThresholdImageFilter - Wrapper class around itk::OtsuThresholdImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterSS\n\n",
  (char*)" vtkITKOtsuThresholdImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKOtsuThresholdImageFilterStaticNew()
{
  return vtkITKOtsuThresholdImageFilter::New();
}

PyObject *PyVTKClass_vtkITKOtsuThresholdImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKOtsuThresholdImageFilterStaticNew,
                        PyvtkITKOtsuThresholdImageFilterMethods,
                        (char*)"vtkITKOtsuThresholdImageFilter",modulename,
                        (char**)vtkITKOtsuThresholdImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterSSNew(modulename));
}

