// python wrapper for vtkITKAntiAliasBinaryImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKAntiAliasBinaryImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKAntiAliasBinaryImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKAntiAliasBinaryImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKAntiAliasBinaryImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  const char    *temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  vtkITKAntiAliasBinaryImageFilter  *temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKAntiAliasBinaryImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKAntiAliasBinaryImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_GetUpperBinaryValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  float    temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::GetUpperBinaryValue();
      }
    else
      {
      temp20 = op->GetUpperBinaryValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_GetLowerBinaryValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  float    temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::GetLowerBinaryValue();
      }
    else
      {
      temp20 = op->GetLowerBinaryValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_GetIsoSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  float    temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::GetIsoSurfaceValue();
      }
    else
      {
      temp20 = op->GetIsoSurfaceValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  int      temp0;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKAntiAliasBinaryImageFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  int      temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_SetMaximumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  int      temp0;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKAntiAliasBinaryImageFilter::SetMaximumIterations(temp0);
      }
    else
      {
      op->SetMaximumIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_GetMaximumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  int      temp20;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKAntiAliasBinaryImageFilter::GetMaximumIterations();
      }
    else
      {
      temp20 = op->GetMaximumIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKAntiAliasBinaryImageFilter_SetMaximumRMSError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKAntiAliasBinaryImageFilter *op;

  float    temp0;
  op = (vtkITKAntiAliasBinaryImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKAntiAliasBinaryImageFilter::SetMaximumRMSError(temp0);
      }
    else
      {
      op->SetMaximumRMSError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKAntiAliasBinaryImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKAntiAliasBinaryImageFilter\nC++: vtkITKAntiAliasBinaryImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKAntiAliasBinaryImageFilter\nC++: vtkITKAntiAliasBinaryImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetUpperBinaryValue",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_GetUpperBinaryValue, 1,
   (char*)"V.GetUpperBinaryValue() -> float\nC++: float GetUpperBinaryValue ();DelegateITKOutputMacro GetUpperBinaryValue \n\n"},
  {(char*)"GetLowerBinaryValue",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_GetLowerBinaryValue, 1,
   (char*)"V.GetLowerBinaryValue() -> float\nC++: float GetLowerBinaryValue ();DelegateITKOutputMacro GetLowerBinaryValue \n\n"},
  {(char*)"GetIsoSurfaceValue",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_GetIsoSurfaceValue, 1,
   (char*)"V.GetIsoSurfaceValue() -> float\nC++: float GetIsoSurfaceValue ();DelegateITKOutputMacro GetIsoSurfaceValue \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetMaximumIterations",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_SetMaximumIterations, 1,
   (char*)"V.SetMaximumIterations(int)\nC++: void SetMaximumIterations (int value);DelegateITKInputMacro SetMaximumIterations value \n\n"},
  {(char*)"GetMaximumIterations",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_GetMaximumIterations, 1,
   (char*)"V.GetMaximumIterations() -> int\nC++: int GetMaximumIterations ();DelegateITKOutputMacro GetMaximumIterations \n\n"},
  {(char*)"SetMaximumRMSError",                (PyCFunction)PyvtkITKAntiAliasBinaryImageFilter_SetMaximumRMSError, 1,
   (char*)"V.SetMaximumRMSError(float)\nC++: void SetMaximumRMSError (float value);DelegateITKInputMacro SetMaximumRMSError value \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKAntiAliasBinaryImageFilterDoc[] = {
  (char*)"vtkITKAntiAliasBinaryImageFilter - Wrapper class around itk::AntiAliasBinaryImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKAntiAliasBinaryImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKAntiAliasBinaryImageFilterStaticNew()
{
  return vtkITKAntiAliasBinaryImageFilter::New();
}

PyObject *PyVTKClass_vtkITKAntiAliasBinaryImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKAntiAliasBinaryImageFilterStaticNew,
                        PyvtkITKAntiAliasBinaryImageFilterMethods,
                        (char*)"vtkITKAntiAliasBinaryImageFilter",modulename,
                        (char**)vtkITKAntiAliasBinaryImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

