// python wrapper for vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  const char    *temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF  *temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  int      temp0;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::SetReleaseDataBeforeUpdateFlag(temp0);
      }
    else
      {
      op->SetReleaseDataBeforeUpdateFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_GetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  int      temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::GetReleaseDataBeforeUpdateFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataBeforeUpdateFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SetSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  double   temp0;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::SetSigma(temp0);
      }
    else
      {
      op->SetSigma(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SetNormalizeAcrossScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *op;

  int      temp0;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::SetNormalizeAcrossScale(temp0);
      }
    else
      {
      op->SetNormalizeAcrossScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFFMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF\nC++: vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF\nC++: vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.SetReleaseDataBeforeUpdateFlag(int)\nC++: virtual void SetReleaseDataBeforeUpdateFlag (int i);DelegateSetMacro ReleaseDataBeforeUpdateFlag i \n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"GetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_GetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.GetReleaseDataBeforeUpdateFlag() -> int\nC++: virtual int GetReleaseDataBeforeUpdateFlag ();DelegateGetMacro ReleaseDataBeforeUpdateFlag \n\n Set the standard deviation of the gaussian used for smoothing\n (measured in mm).\n"},
  {(char*)"SetSigma",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SetSigma, 1,
   (char*)"V.SetSigma(float)\nC++: void SetSigma (double s);DelegateSetMacro Sigma s \n\n Normalize the gaussian kernel for consistent smoothed values across\n scale space.\n"},
  {(char*)"SetNormalizeAcrossScale",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFF_SetNormalizeAcrossScale, 1,
   (char*)"V.SetNormalizeAcrossScale(int)\nC++: void SetNormalizeAcrossScale (int n);DelegateSetMacro NormalizeAcrossScale n \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFDoc[] = {
  (char*)"vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF - Wrapper class around itk::GradientMagnitudeRecursiveGaussianImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF\n\n",
  NULL
};

static vtkObjectBase *vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFStaticNew()
{
  return vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF::New();
}

PyObject *PyVTKClass_vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFStaticNew,
                        PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterFFMethods,
                        (char*)"vtkITKGradientMagnitudeRecursiveGaussianImageFilterFF",modulename,
                        (char**)vtkITKGradientMagnitudeRecursiveGaussianImageFilterFFDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

