// python wrapper for vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSSNew(char *); }

static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  const char    *temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS  *temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  int      temp0;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::SetReleaseDataBeforeUpdateFlag(temp0);
      }
    else
      {
      op->SetReleaseDataBeforeUpdateFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_GetReleaseDataBeforeUpdateFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  int      temp20;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::GetReleaseDataBeforeUpdateFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataBeforeUpdateFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SetSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  double   temp0;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::SetSigma(temp0);
      }
    else
      {
      op->SetSigma(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SetNormalizeAcrossScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *op;

  int      temp0;
  op = (vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::SetNormalizeAcrossScale(temp0);
      }
    else
      {
      op->SetNormalizeAcrossScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSSMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS\nC++: vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS\nC++: vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.SetReleaseDataBeforeUpdateFlag(int)\nC++: virtual void SetReleaseDataBeforeUpdateFlag (int i);DelegateSetMacro ReleaseDataBeforeUpdateFlag i \n\n vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n"},
  {(char*)"GetReleaseDataBeforeUpdateFlag",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_GetReleaseDataBeforeUpdateFlag, 1,
   (char*)"V.GetReleaseDataBeforeUpdateFlag() -> int\nC++: virtual int GetReleaseDataBeforeUpdateFlag ();DelegateGetMacro ReleaseDataBeforeUpdateFlag \n\n Set the standard deviation of the gaussian used for smoothing\n (measured in mm).\n"},
  {(char*)"SetSigma",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SetSigma, 1,
   (char*)"V.SetSigma(float)\nC++: void SetSigma (double s);DelegateSetMacro Sigma s \n\n Normalize the gaussian kernel for consistent smoothed values across\n scale space.\n"},
  {(char*)"SetNormalizeAcrossScale",                (PyCFunction)PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSS_SetNormalizeAcrossScale, 1,
   (char*)"V.SetNormalizeAcrossScale(int)\nC++: void SetNormalizeAcrossScale (int n);DelegateSetMacro NormalizeAcrossScale n \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSDoc[] = {
  (char*)"vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS - Wrapper class around itk::GradientMagnitudeRecursiveGaussianImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterSS\n\n",
  (char*)" vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS\n\n",
  NULL
};

static vtkObjectBase *vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSStaticNew()
{
  return vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS::New();
}

PyObject *PyVTKClass_vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSStaticNew,
                        PyvtkITKGradientMagnitudeRecursiveGaussianImageFilterSSMethods,
                        (char*)"vtkITKGradientMagnitudeRecursiveGaussianImageFilterSS",modulename,
                        (char**)vtkITKGradientMagnitudeRecursiveGaussianImageFilterSSDoc,
                        PyVTKClass_vtkITKImageToImageFilterSSNew(modulename));
}

